shared_examples_for "a releasable" do
  it { is_expected.to respond_to(:contact_person) }
  it { is_expected.to respond_to(:release_number) }
  it { is_expected.to respond_to(:uses_edl?) }

  describe "associations" do
    it { is_expected.to belong_to(:project).touch(true) }
    it { is_expected.to belong_to(:contract_template).optional }
  end

  describe "#order_by_recent" do
    subject { described_class }
    it { is_expected.to respond_to(:order_by_recent) }
  end
end
